name: deployment_config

image_name: octaipipe.azurecr.io/octaipipe-all_data_loaders:latest
device_ids: ['device-0', 'device-1']

datasources:
  environment:
    - INFLUX_ORG
    - INFLUX_URL
    - INFLUX_TOKEN

env: {}

grafana_deployment:
grafana_cloud_config_path:

policies:
  - name: policy1
    observations:
        - global_drift_percentage_observation
    trigger: global_drift_percentage_observation>0.03
    actions:
        - global_retrain:
            global_retrain_config_path: ./configs/federated_learning_run.yml
        - notification:
            subject: 'Global Drift'
            message: 'Global Drift detected, retrain performed and latest model available'
            status: 'Success'

pipelines:
  - model_inference:
      config_path: model_inference.yml
